Review gate evaluation
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidevaluation_id*Evaluation IdFormat
uuidapplication/json- body
expected_outcome*IntentCheckOutcomeValue in
"holds""violated""insufficient_evidence"reason*ReasonLength
10 <= length <= 4000Successful Response
application/json- response
actor_name*Actor Nameactual_outcome*IntentCheckOutcomeValue in
"holds""violated""insufficient_evidence"created_at*Created AtFormat
date-timeevaluation_id*Evaluation IdFormat
uuidexpected_outcome*IntentCheckOutcomeValue in
"holds""violated""insufficient_evidence"id*IdFormat
uuidrationale*Rationalecurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/evaluations/497f6eca-6276-4993-bfeb-53cbbbba6f08/reviews' \ -H 'Content-Type: application/json' \ -d '{ "expected_outcome": "holds", "reason": "stringstri"}'Example Response
{ "actor_name": "string", "actual_outcome": "holds", "created_at": "2019-08-24T14:15:22Z", "evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324", "expected_outcome": "holds", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "rationale": "string"}